Closing an arc !!

Discussion in 'AutoCAD' started by Patrick Bel, Oct 26, 2003.

  1. Patrick Bel

    Patrick Bel Guest

    Hi all

    Can you tell me how to close an arc, so it will become a circle ???

    Thanks

    Pat
     
    Patrick Bel, Oct 26, 2003
    #1
  2. Patrick Bel

    R. Wink Guest

    This is a lisp routine I use to close circles. Works in R14. Picked it up some years ago, written by someone who didn't
    include contact information..............

    (defun c:cirmend (/ os pt2 a pt1 ra pt3)
    (setq os (getvar "osmode"))
    (setvar "osmode" 512)
    (setq pt2 (getpoint "\nPick one of the arcs "))
    (setq a (entget (ssname (ssget pt2) 0)))
    (setq pt1 (cdr (assoc 10 a)))
    (setq ra (cdr (assoc 40 a)))
    (command "erase" pt2 "")
    (setq pt3 (getpoint "\Pick other arc "))
    (setvar "osmode" os)
    (command "erase" pt3 "")
    (command "circle" pt1 ra)
    )

    R. Wink
     
    R. Wink, Oct 26, 2003
    #2
  3. Patrick Bel

    Patrick Bel Guest

    Thanks RonB

    And what is the best way to select that arc (hidden under the circle) to
    delete it without playing with layer ??

    Thanks again

    Pat
     
    Patrick Bel, Oct 26, 2003
    #3
  4. ERASE>>Select both objects with a window or crossing>>R>>L>>ENTER
     
    Michael Bulatovich, Oct 26, 2003
    #4
  5. Patrick Bel

    Patrick Bel Guest

    Thanks

    But how do you run that lisp once it's in autocad ?

    I did load it in but don't know how to run it !

    Thanks

    Pat
     
    Patrick Bel, Oct 26, 2003
    #5
  6. Type cirkmend at the command line and press enter.

    Conny

     
    Conny Klasson, Oct 26, 2003
    #6
  7. You have to APPLOAD it, and then issue the command's name, CIRMEND, at the
    command prompt.
    --


    MichaelB
    www.michaelbulatovich.com

     
    Michael Bulatovich, Oct 26, 2003
    #7
  8. Patrick Bel

    Patrick Bel Guest

    Ok it works, Thanks

    Pat
     
    Patrick Bel, Oct 26, 2003
    #8
  9. Patrick Bel

    Henry Guest

    You can use control select (hold down control while selecting). It goes
    into Cycle mode, where with each mouse click, it cyles thru all objects
    within your pickbox. Once the right one becomes highlighted, you press
    return, and the selection process continues as normal.
     
    Henry, Oct 27, 2003
    #9
  10. Patrick Bel

    Henry Guest

    I should point out (not really that important actually), that this only
    works in WCS, or that the arc isn't tilted.
     
    Henry, Oct 27, 2003
    #10
  11. Patrick Bel

    gruhn Guest

    You can use control select (hold down control while selecting).

    I really need to remember this.
     
    gruhn, Oct 27, 2003
    #11
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.